Calculator overview

You can use Calculator to perform any of the standard operations for which you would normally use a handheld calculator. Calculator performs basic arithmetic, such as addition and subtraction, as well as functions found on a scientific calculator, such as logarithms and factorials.

Related Topics


Perform a simple calculation

Microsoft Windows graphic

To perform a simple calculation

  1. Type the first number in the calculation.
  2. Click + to add, - to subtract, * to multiply, or / to divide.
  3. Type the next number in the calculation.
  4. Type any remaining operators and numbers.
  5. Click =.

Note

  • You can also use your numeric keypad to type numbers and operators by pressing NUM LOCK.


Perform a scientific calculation

To perform a scientific calculation

  1. On the View menu, click Scientific.
  2. Click a number system.
  3. Click the display size you want to use, and then continue with your calculation.

Notes

  • For the hexadecimal, octal, and binary number systems, the four display sizes available are Qword (64-bit representation), Dword (32-bit representation), Word (16-bit representation), and Byte (8-bit representation). For the decimal number system, the three display sizes available are Degrees, Radians, and Grads.
  • You can also use your numeric keypad to type numbers and operators by pressing NUM LOCK.


Perform a statistical calculation

To perform a statistical calculation

  1. On the View menu, click Scientific.
  2. Type your first piece of data, and then click Sta to open the Statistics Box.
  3. Click RET to return to Calculator, and then click Dat to save the value.
  4. Type the rest of the data, clicking Dat after each entry.
  5. Click Ave, Sum, or s.

Notes

  • You can also use your numeric keypad to type numbers and operators by pressing NUM LOCK.
  • Ave calculates the mean of the values saved in the Statistics Box, Sum calculates the sum of the values, and s calculates the standard deviation.
  • After you have entered all of your data, you can see the list by clicking Sta.
  • The Statistics Box tracks the number of values that you have saved at the bottom of the dialog box. You can delete a specific value from the list by clicking CD, or you can delete all of the values by clicking CAD. Clicking Load changes the number in the Calculator display area to the number selected in the Statistics Box.


Transfer numbers between Standard and Scientific view

To transfer numbers between Standard and Scientific view

  1. Click MS to store the displayed number.
  2. On the View menu, click the desired view.
  3. Click MR to recall the stored number.

Notes

  • Calculator clears the display when switching between the Standard and Scientific views. Steps 1-3 above allow numbers to be transferred between views.
  • A number typed in hexadecimal, octal, or binary format will be converted to decimal format when transferring from Scientific to Standard view.


Work with numbers stored in memory

To work with numbers stored in memory

  • To store the displayed number, click MS.
  • To recall a stored number, click MR.
  • To clear the memory, click MC.
  • To add the displayed number to the number already in memory, click M+. To see the new number, click MR.

Note

  • When you store a number, an M appears in the box above the memory options. If you store another number, it replaces the one currently in memory.


Use digit grouping

To use digit grouping

  • On the View menu, click Digit grouping.

Notes

  • You can use digit grouping to view numbers as logically grouped.
  • Calculator uses commas to group decimal numbers, and spaces to group hexadecimal numbers.


Convert a value to another number system

To convert a value to another number system

  1. On the View menu, click Scientific.
  2. Type the number you want to convert.
  3. Click the number system you want to convert to.
  4. Click the display size you want to use.

Notes

  • When you convert a decimal number that contains decimal places to another number system, the number is shortened to an integer.
  • Numbers converted to decimal from hexadecimal, octal, or binary appear as positive integers.


Using keyboard equivalents of Calculator buttons

The following is an alphabetical list of Calculator buttons and their keyboard equivalents. You can print this list by clicking the Options menu, and then clicking Print. When using Calculator, you can see any Calculator button's keyboard equivalent by right-clicking the button, and then clicking What's This?.

Button | Key | Button | Key
% | % | Hyp | h
( | ( | Int | ;
) | ) | Inv | i
* | * | ln | n
+ | + | log | l
+/- | F9 | Lsh | <
- | - | M+ | CTRL+P
. | . or , | MC | CTRL+L
/ | / | Mod | %
0-9 | 0-9 | MR | CTRL+R
1/x | r | MS | CTRL+M
= | ENTER | n! | !
A-F | A-F | Not | ~
And | & | Oct | F7
Ave | CTRL+A | Or | |(pipe)
Backspace | BACKSPACE | pi | p
Bin | F8 | Qword | F12
Byte | F4 | Radians | F3
C | ESC | s | CTRL+D
CE | DEL | sin | s
cos | o | sqrt | @
Dat | INS | Sta | CTRL+S
Dec | F6 | Sum | CTRL+T
Degrees | F2 | tan | t
dms | m | Word | F3
Dword | F2 | Xor | ^
Exp | x | x^2 | @
F-E | v | x^3 | #
Grads | F4 | x^y | y
Hex | F5


Using key sequences as functions

The following key sequences are interpreted as functions when you paste data into Calculator. For example, open Notepad and type the following:

123 :m

Copy 123 :m from Notepad and paste it into Calculator. The number 123 is displayed and is also stored in Calculator's memory.

:c | Clears memory.
:e | Enables you to type scientific notation numbers in decimal form.
:m | Stores the displayed number in memory.
:p | Adds the displayed number to the number in memory.
:q | Clears the current calculation.
:r | Displays the number stored in memory.
\ | Functions the same as Dat. Click Sta before using this key.

Note

  • XOX


Understanding Extended Precision

Extended Precision, a feature of Calculator, means that all operations are accurate to at least 32 digits. Calculator also stores rational numbers as fractions to retain accuracy. For example, 1/3 is stored as 1/3, rather than .333. However, errors accumulate during repeated operations on irrational numbers. For example, Calculator will truncate pi to 32 digits, so repeated operations on pi will lose accuracy as the number of operations increases.


Performing calculations with large numbers

In the hexadecimal, binary, and octal number systems, Calculator displays only the lower digits of an answer when the result has more digits than your display size allows. This behavior mimics the way calculations work in computers.

For the hexadecimal number system, QWORD results can contain up to 16 digits, DWORD results can contain up to eight digits; Word results can contain up to four digits; and Byte results can contain up to two digits.

For example, using the hexadecimal number system displayed as Word, the largest result you can generate is FFFF (equal to 65535 in decimal). If you double that number (FFFFx2), the answer is 1FFFE. This contains five digits, so Calculator will display only the lower four digits of the answer: FFFE.